Trust Centers
Update Trust Center subprocessor
Updates a subprocessor on a Trust Center.
PATCH
/
trust-centers
/
{slugId}
/
subprocessors
/
{subprocessorId}
Update Trust Center subprocessor
curl --request PATCH \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"location": "<string>",
"purpose": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId}"
payload = {
"description": "<string>",
"location": "<string>",
"purpose": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', location: '<string>', purpose: '<string>'})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors/{subprocessorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"name": "Acme, Inc.",
"description": "This is the description for the subprocessor.",
"location": "US, EU",
"purpose": "Cloud infrastructure",
"url": "acme.com"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
What to set the subprocessor description to. If null is passed in, the subprocessor's current description is unset.
What to set the subprocessor location to. If null is passed in, the subprocessor's current description is unset.
What to set the subprocessor purpose to. If null is passed in, the subprocessor's current description is unset.
Response
200 - application/json
Ok
Unique identifier for the subprocessor.
Name of the subprocessor.
Description of the subprocessor.
Where this subprocessor is deployed.
The purpose that the subprocessor serves.
URL of the subprocessor.
Was this page helpful?
⌘I
Update Trust Center subprocessor
